commit 4312b0ea6351dfa5779347ab9d2f19ce3a3b749f
parent b7d3908c80c7fba496487743e98f9e73004b8fe0
Author: ccx <root@dorje.wpr.cz>
Date: Mon, 29 Mar 2021 18:33:13 +0200
Correct error handling in install_unpack.
Diffstat:
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/install b/install
@@ -42,7 +42,7 @@ install_unpack() {
local cmd=${sm_dst[package]}/command
s6-mkdir -p $dst || exit $?
git archive --format=tar ${sm_commit[$submodule]} | tar -xC $dst
- ((${(j.|.)pipestatus})) && exit 1 # exit if git archive or tar exited non-zero
+ exit $(( ${(j.|.)pipestatus} )) # error if git archive or tar exited non-zero
}
ln_sub() {